Bug 2013817 - xdg-email doesn't open mozilla-thunderbird.desktop
Summary: xdg-email doesn't open mozilla-thunderbird.desktop
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-utils
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-13 20:07 UTC by Don Becker
Modified: 2022-06-08 00:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-08 00:44:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Don Becker 2021-10-13 20:07:22 UTC
Description of problem:

xdg-email doesn't open mailto links when thunderbird is set as the default, but xdg-open works fine.

Version-Release number of selected component (if applicable):

$ rpm -qi xdg-utils
Name        : xdg-utils
Version     : 1.1.3
Release     : 9.fc34
Architecture: noarch

How reproducible:

100% of the time


Steps to Reproduce:
1. xdg-email 'First Last <email>'


Actual results:

$ xdg-email 'First Last <email>'
/usr/bin/xdg-email: line 619: mozilla-thunderbird.desktop: command not found


Expected results:

thunderbird should open.

Additional information:

xdg-open works fine when passed mailto uris in the command line, but Chrome is trying to use xdg-email which makes mailto links not work.

Comment 1 Graham TerMarsch 2022-01-28 19:44:08 UTC
Can confirm this issue, when using KDE as the Desktop.

It appears that under Gnome3, xdg-email will call "desktop_file_to_binary" in order to translate from the ".desktop" file to the actual binary listed within it (/usr/bin/thunderbird), and as it does when using "open_generic()".

Under KDE, however, "open_kde()" does not do this translation, and so it tries to execute the actual ".desktop" file itself (which is what makes this fail).

Comment 2 Graham TerMarsch 2022-01-28 19:49:54 UTC
An upstream bug for this does exist: https://gitlab.freedesktop.org/xdg/xdg-utils/-/issues/187

Comment 3 Ben Cotton 2022-05-12 16:27:08 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 4 Graham TerMarsch 2022-05-14 20:42:08 UTC
Can confirm that this is an issue in Fedora 35, I just do not have sufficient privileges to edit the ticket to update the "version" to note that.

Comment 5 Ben Cotton 2022-06-08 00:44:30 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.